Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_lmd_ipsl_stats.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_lmd_ipsl_stats.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_lmd_ipsl_stats.F90	(revision 5082)
@@ -148,5 +148,5 @@
       do ic = 1, ncol
         pnorm_c = pnorm(:,ic,:)
-        where ((pnorm_c.lt.xmax) .and. (pmol.lt.xmax) .and. (pmol.gt. 0.0 ))
+        where ((pnorm_c<xmax) .and. (pmol<xmax) .and. (pmol> 0.0 ))
             x3d_c = pnorm_c/pmol
         elsewhere
@@ -247,5 +247,5 @@
 ! c 0- Initializations
 ! c -------------------------------------------------------
-      if ( Nbins .lt. 6) return
+      if ( Nbins < 6) return
 
       srbval(1) =  S_att
@@ -275,5 +275,5 @@
                do i = 1, Npoints
                   if (x(i,k,j) /= undef) then
-                     if ((x(i,k,j).gt.srbval_ext(ib-1)).and.(x(i,k,j).le.srbval_ext(ib))) &
+                     if ((x(i,k,j)>srbval_ext(ib-1)).and.(x(i,k,j)<=srbval_ext(ib))) &
                           cfad(i,ib,j) = cfad(i,ib,j) + 1.0
                   else 
@@ -285,5 +285,5 @@
       enddo
 
-      where (cfad .ne. undef)  cfad = cfad / float(Ncolumns)
+      where (cfad /= undef)  cfad = cfad / float(Ncolumns)
 
 ! c -------------------------------------------------------
@@ -373,5 +373,5 @@
 ! ---------------------------------------------------------------
 
-      if ( Ncat .ne. 4 ) then
+      if ( Ncat /= 4 ) then
          print *,'Error in lmd_ipsl_stats.cosp_cldfrac, Ncat must be 4, not',Ncat
          stop
@@ -423,5 +423,5 @@
 
 ! cloud detection at subgrid-scale:
-         where ( (x(:,:,k).gt.S_cld) .and. (x(:,:,k).ne. undef) )
+         where ( (x(:,:,k)>S_cld) .and. (x(:,:,k)/= undef) )
            cldy(:,:,k)=1.0
          elsewhere
@@ -430,5 +430,5 @@
 
 ! number of usefull sub-columns:
-         where ( (x(:,:,k).gt.S_att) .and. (x(:,:,k).ne. undef)  )
+         where ( (x(:,:,k)>S_att) .and. (x(:,:,k)/= undef)  )
            srok(:,:,k)=1.0
          elsewhere
@@ -513,7 +513,7 @@
           ! Computation of the cloud fraction as a function of the temperature
           ! instead of height, for ice,liquid and all clouds
-          if(srok(ip,ic,k).gt.0.)then
+          if(srok(ip,ic,k)>0.)then
           do itemp=1,Ntemp
-            if( (tmp(ip,k).ge.tempmod(itemp)).and.(tmp(ip,k).lt.tempmod(itemp+1)) )then
+            if( (tmp(ip,k)>=tempmod(itemp)).and.(tmp(ip,k)<tempmod(itemp+1)) )then
               lidarcldtempind(ip,itemp)=lidarcldtempind(ip,itemp)+1.
             endif
@@ -521,7 +521,7 @@
           endif
 
-          if(cldy(ip,ic,k).eq.1.)then
+          if(cldy(ip,ic,k)==1.)then
           do itemp=1,Ntemp
-            if( (tmp(ip,k).ge.tempmod(itemp)).and.(tmp(ip,k).lt.tempmod(itemp+1)) )then
+            if( (tmp(ip,k)>=tempmod(itemp)).and.(tmp(ip,k)<tempmod(itemp+1)) )then
               lidarcldtemp(ip,itemp,1)=lidarcldtemp(ip,itemp,1)+1.
             endif
@@ -532,7 +532,7 @@
           iz=1
           p1 = pplay(ip,k)
-          if ( p1.gt.0. .and. p1.lt.(440.*100.)) then ! high clouds
+          if ( p1>0. .and. p1<(440.*100.)) then ! high clouds
             iz=3
-          else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then  ! mid clouds
+          else if(p1>=(440.*100.) .and. p1<(680.*100.)) then  ! mid clouds
             iz=2
          endif
@@ -554,5 +554,5 @@
 ! -- grid-box 3D cloud fraction
 
-      where ( nsub(:,:).gt.0.0 )
+      where ( nsub(:,:)>0.0 )
          lidarcld(:,:) = lidarcld(:,:)/nsub(:,:)
       elsewhere
@@ -573,5 +573,5 @@
        enddo
       enddo
-      where ( nsublayer(:,:).gt.0.0 )
+      where ( nsublayer(:,:)>0.0 )
          cldlayer(:,:) = cldlayer(:,:)/nsublayer(:,:)
       elsewhere
@@ -593,5 +593,5 @@
 
 ! Avoid zero values
-	if( (cldy(i,ncol,nlev).eq.1.) .and. (ATBperp(i,ncol,nlev).gt.0.) )then
+	if( (cldy(i,ncol,nlev)==1.) .and. (ATBperp(i,ncol,nlev)>0.) )then
 ! Computation of the ATBperp along the phase discrimination line
            ATBperp_tmp = (ATB(i,ncol,nlev)**5)*alpha50 + (ATB(i,ncol,nlev)**4)*beta50 + &
@@ -604,7 +604,7 @@
 !____________________________________________________________________________________________________
 !
-           if( (ATBperp(i,ncol,nlev)-ATBperp_tmp).ge.0. )then   ! Ice clouds
+           if( (ATBperp(i,ncol,nlev)-ATBperp_tmp)>=0. )then   ! Ice clouds
              ! ICE with temperature above 273,15°K = Liquid (false ice)
-            if(tmp(i,nlev).gt.273.15)then                ! Temperature above 273,15 K
+            if(tmp(i,nlev)>273.15)then                ! Temperature above 273,15 K
               ! Liquid: False ice corrected by the temperature to Liquid
                lidarcldphase(i,nlev,2)=lidarcldphase(i,nlev,2)+1.   ! false ice detection ==> added to Liquid
@@ -613,7 +613,7 @@
                                                     ! to classify the phase cloud
          	   cldlayphase(i,ncol,4,2) = 1.                         ! tot cloud
-                if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+                if ( p1>0. .and. p1<(440.*100.)) then             ! high cloud
         	   cldlayphase(i,ncol,3,2) = 1.
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+         	else if(p1>=(440.*100.) .and. p1<(680.*100.)) then ! mid cloud
          	   cldlayphase(i,ncol,2,2) = 1.
 	 	else                                                    ! low cloud
@@ -621,7 +621,7 @@
                 endif
          	   cldlayphase(i,ncol,4,5) = 1.                         ! tot cloud
-         	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+         	if ( p1>0. .and. p1<(440.*100.)) then             ! high cloud
         	   cldlayphase(i,ncol,3,5) = 1.
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+         	else if(p1>=(440.*100.) .and. p1<(680.*100.)) then ! mid cloud
          	   cldlayphase(i,ncol,2,5) = 1.
 	 	else                                                    ! low cloud
@@ -634,7 +634,7 @@
               tmpi(i,ncol,nlev)=tmp(i,nlev)
          	   cldlayphase(i,ncol,4,1) = 1.                         ! tot cloud
-         	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+         	if ( p1>0. .and. p1<(440.*100.)) then             ! high cloud
         	   cldlayphase(i,ncol,3,1) = 1.
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+         	else if(p1>=(440.*100.) .and. p1<(680.*100.)) then ! mid cloud
          	   cldlayphase(i,ncol,2,1) = 1.
 	 	else                                                    ! low cloud
@@ -651,11 +651,11 @@
              else                                        ! Liquid clouds
               ! Liquid with temperature above 231,15°K
-            if(tmp(i,nlev).gt.231.15)then 
+            if(tmp(i,nlev)>231.15)then
                lidarcldphase(i,nlev,2)=lidarcldphase(i,nlev,2)+1.
                tmpl(i,ncol,nlev)=tmp(i,nlev)
          	   cldlayphase(i,ncol,4,2) = 1.                         ! tot cloud
-         	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+         	if ( p1>0. .and. p1<(440.*100.)) then             ! high cloud
          	   cldlayphase(i,ncol,3,2) = 1.  
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+         	else if(p1>=(440.*100.) .and. p1<(680.*100.)) then ! mid cloud
          	   cldlayphase(i,ncol,2,2) = 1.
 	 	else                                                    ! low cloud
@@ -670,7 +670,7 @@
                                                     ! to classify the phase cloud
          	   cldlayphase(i,ncol,4,4) = 1.                         ! tot cloud
-         	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+         	if ( p1>0. .and. p1<(440.*100.)) then             ! high cloud
          	   cldlayphase(i,ncol,3,4) = 1.  
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+         	else if(p1>=(440.*100.) .and. p1<(680.*100.)) then ! mid cloud
          	   cldlayphase(i,ncol,2,4) = 1.
 	 	else                                                    ! low cloud
@@ -678,7 +678,7 @@
 	 	endif
          	   cldlayphase(i,ncol,4,1) = 1.                         ! tot cloud
-        	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+        	if ( p1>0. .and. p1<(440.*100.)) then             ! high cloud
          	   cldlayphase(i,ncol,3,1) = 1.  
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+         	else if(p1>=(440.*100.) .and. p1<(680.*100.)) then ! mid cloud
          	   cldlayphase(i,ncol,2,1) = 1.
 	 	else                                                    ! low cloud
@@ -702,5 +702,5 @@
          p1 = pplay(i,nlev)
 
-	if( (cldy(i,ncol,nlev).eq.1.) .and. (ATBperp(i,ncol,nlev).gt.0.) )then
+	if( (cldy(i,ncol,nlev)==1.) .and. (ATBperp(i,ncol,nlev)>0.) )then
 ! Phase discrimination line : ATBperp = ATB^5*alpha50 + ATB^4*beta50 + ATB^3*gamma50 + ATB^2*delta50 
 !                                  + ATB*epsilon50 + zeta50
@@ -715,6 +715,6 @@
 !
             ! ICE with temperature above 273,15°K = Liquid (false ice)
-          if( (ATBperp(i,ncol,nlev)-ATBperp_tmp).ge.0. )then   ! Ice clouds
-            if(tmp(i,nlev).gt.273.15)then 
+          if( (ATBperp(i,ncol,nlev)-ATBperp_tmp)>=0. )then   ! Ice clouds
+            if(tmp(i,nlev)>273.15)then
                lidarcldphase(i,nlev,2)=lidarcldphase(i,nlev,2)+1.  ! false ice ==> liq
                tmpl(i,ncol,nlev)=tmp(i,nlev)
@@ -722,7 +722,7 @@
 
          	   cldlayphase(i,ncol,4,2) = 1.                         ! tot cloud
-               if ( p1.gt.0. .and. p1.lt.(440.*100.)) then              ! high cloud
+               if ( p1>0. .and. p1<(440.*100.)) then              ! high cloud
         	   cldlayphase(i,ncol,3,2) = 1.
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+         	else if(p1>=(440.*100.) .and. p1<(680.*100.)) then ! mid cloud
          	   cldlayphase(i,ncol,2,2) = 1.
 	 	else                                                    ! low cloud
@@ -731,7 +731,7 @@
 
          	   cldlayphase(i,ncol,4,5) = 1.                         ! tot cloud
-         	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+         	if ( p1>0. .and. p1<(440.*100.)) then             ! high cloud
         	   cldlayphase(i,ncol,3,5) = 1.
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+         	else if(p1>=(440.*100.) .and. p1<(680.*100.)) then ! mid cloud
          	   cldlayphase(i,ncol,2,5) = 1.
 	 	else                                                    ! low cloud
@@ -745,7 +745,7 @@
 
           	   cldlayphase(i,ncol,4,1) = 1.                         ! tot cloud
-        	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+        	if ( p1>0. .and. p1<(440.*100.)) then             ! high cloud
         	   cldlayphase(i,ncol,3,1) = 1.
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+         	else if(p1>=(440.*100.) .and. p1<(680.*100.)) then ! mid cloud
          	   cldlayphase(i,ncol,2,1) = 1.
 	 	else                                                    ! low cloud
@@ -762,12 +762,12 @@
           else  
              ! Liquid with temperature above 231,15°K
-            if(tmp(i,nlev).gt.231.15)then 
+            if(tmp(i,nlev)>231.15)then
                lidarcldphase(i,nlev,2)=lidarcldphase(i,nlev,2)+1.
                tmpl(i,ncol,nlev)=tmp(i,nlev)
 
          	   cldlayphase(i,ncol,4,2) = 1.                         ! tot cloud
-         	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+         	if ( p1>0. .and. p1<(440.*100.)) then             ! high cloud
          	   cldlayphase(i,ncol,3,2) = 1.  
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+         	else if(p1>=(440.*100.) .and. p1<(680.*100.)) then ! mid cloud
          	   cldlayphase(i,ncol,2,2) = 1.
 	 	else                                                    ! low cloud
@@ -782,7 +782,7 @@
 
          	   cldlayphase(i,ncol,4,4) = 1.                         ! tot cloud
-         	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+         	if ( p1>0. .and. p1<(440.*100.)) then             ! high cloud
          	   cldlayphase(i,ncol,3,4) = 1.  
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+         	else if(p1>=(440.*100.) .and. p1<(680.*100.)) then ! mid cloud
          	   cldlayphase(i,ncol,2,4) = 1.
 	 	else                                                    ! low cloud
@@ -791,7 +791,7 @@
 
          	   cldlayphase(i,ncol,4,1) = 1.                         ! tot cloud
-        	if ( p1.gt.0. .and. p1.lt.(440.*100.)) then             ! high cloud
+        	if ( p1>0. .and. p1<(440.*100.)) then             ! high cloud
          	   cldlayphase(i,ncol,3,1) = 1.  
-         	else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then ! mid cloud
+         	else if(p1>=(440.*100.) .and. p1<(680.*100.)) then ! mid cloud
          	   cldlayphase(i,ncol,2,1) = 1.
 	 	else                                                    ! low cloud
@@ -805,5 +805,5 @@
 
            ! Find the level of the highest cloud with SR>30
-	    if(x(i,ncol,nlev).gt.S_cld_att)then	 ! SR > 30.
+	    if(x(i,ncol,nlev)>S_cld_att)then	 ! SR > 30.
       		toplvlsat=nlev-1
        		goto 99 
@@ -821,15 +821,15 @@
 !____________________________________________________________________________________________________
 !
-if(toplvlsat.ne.0)then     	
+if(toplvlsat/=0)then
       do nlev=toplvlsat,1,-1
          p1 = pplay(i,nlev)
-	if(cldy(i,ncol,nlev).eq.1.)then
+	if(cldy(i,ncol,nlev)==1.)then
            lidarcldphase(i,nlev,3)=lidarcldphase(i,nlev,3)+1.
            tmpu(i,ncol,nlev)=tmp(i,nlev)
 
          	   cldlayphase(i,ncol,4,3) = 1.                         ! tot cloud
-          if ( p1.gt.0. .and. p1.lt.(440.*100.)) then              ! high cloud
+          if ( p1>0. .and. p1<(440.*100.)) then              ! high cloud
              cldlayphase(i,ncol,3,3) = 1.
-          else if(p1.ge.(440.*100.) .and. p1.lt.(680.*100.)) then  ! mid cloud
+          else if(p1>=(440.*100.) .and. p1<(680.*100.)) then  ! mid cloud
              cldlayphase(i,ncol,2,3) = 1.
 	  else                                                     ! low cloud
@@ -857,5 +857,5 @@
 ! of the occurrences
 lidarcldphasetmp(:,:)=lidarcldphase(:,:,1)+lidarcldphase(:,:,2);
-WHERE (lidarcldphasetmp(:,:).gt. 0.)
+WHERE (lidarcldphasetmp(:,:)> 0.)
    lidarcldphase(:,:,6)=lidarcldphase(:,:,1)/lidarcldphasetmp(:,:)
 ELSEWHERE
@@ -864,5 +864,5 @@
 
 ! Compute Phase 3D Cloud Fraction
-     WHERE ( nsub(:,:).gt.0.0 )
+     WHERE ( nsub(:,:)>0.0 )
        lidarcldphase(:,:,1)=lidarcldphase(:,:,1)/nsub(:,:)
        lidarcldphase(:,:,2)=lidarcldphase(:,:,2)/nsub(:,:)
@@ -899,5 +899,5 @@
 ! Compute the Ice percentage in cloud = ice/(ice+liq)
 cldlayerphasetmp(:,:)=cldlayerphase(:,:,1)+cldlayerphase(:,:,2)
-    WHERE (cldlayerphasetmp(:,:).gt. 0.)
+    WHERE (cldlayerphasetmp(:,:)> 0.)
        cldlayerphase(:,:,6)=cldlayerphase(:,:,1)/cldlayerphasetmp(:,:)
     ELSEWHERE
@@ -906,5 +906,5 @@
 
     do i=1,Nphase-1
-      WHERE ( cldlayerphasesum(:,:).gt.0.0 )
+      WHERE ( cldlayerphasesum(:,:)>0.0 )
          cldlayerphase(:,:,i) = (cldlayerphase(:,:,i)/cldlayerphasesum(:,:)) * cldlayer(:,:) 
       ENDWHERE
@@ -917,10 +917,10 @@
           checkcldlayerphase2=0.
 
-          if (cldlayerphasesum(i,iz).gt.0.0 )then
+          if (cldlayerphasesum(i,iz)>0.0 )then
              do ic=1,Nphase-3
                 checkcldlayerphase=checkcldlayerphase+cldlayerphase(i,iz,ic)  
              enddo
              checkcldlayerphase2=cldlayer(i,iz)-checkcldlayerphase
-             if( (checkcldlayerphase2.gt.0.01).or.(checkcldlayerphase2.lt.-0.01) ) print *, checkcldlayerphase,cldlayer(i,iz)
+             if( (checkcldlayerphase2>0.01).or.(checkcldlayerphase2<-0.01) ) print *, checkcldlayerphase,cldlayer(i,iz)
 
           endif
@@ -930,5 +930,5 @@
 
     do i=1,Nphase-1
-      WHERE ( nsublayer(:,:).eq.0.0 )
+      WHERE ( nsublayer(:,:)==0.0 )
          cldlayerphase(:,:,i) = undef
       ENDWHERE
@@ -942,14 +942,14 @@
 do i=1,Npoints
 do itemp=1,Ntemp
-if(tmpi(i,ncol,nlev).gt.0.)then
-      if( (tmpi(i,ncol,nlev).ge.tempmod(itemp)).and.(tmpi(i,ncol,nlev).lt.tempmod(itemp+1)) )then
+if(tmpi(i,ncol,nlev)>0.)then
+      if( (tmpi(i,ncol,nlev)>=tempmod(itemp)).and.(tmpi(i,ncol,nlev)<tempmod(itemp+1)) )then
         lidarcldtemp(i,itemp,2)=lidarcldtemp(i,itemp,2)+1.
       endif
-elseif(tmpl(i,ncol,nlev).gt.0.)then
-      if( (tmpl(i,ncol,nlev).ge.tempmod(itemp)).and.(tmpl(i,ncol,nlev).lt.tempmod(itemp+1)) )then
+elseif(tmpl(i,ncol,nlev)>0.)then
+      if( (tmpl(i,ncol,nlev)>=tempmod(itemp)).and.(tmpl(i,ncol,nlev)<tempmod(itemp+1)) )then
         lidarcldtemp(i,itemp,3)=lidarcldtemp(i,itemp,3)+1.
       endif
-elseif(tmpu(i,ncol,nlev).gt.0.)then
-      if( (tmpu(i,ncol,nlev).ge.tempmod(itemp)).and.(tmpu(i,ncol,nlev).lt.tempmod(itemp+1)) )then
+elseif(tmpu(i,ncol,nlev)>0.)then
+      if( (tmpu(i,ncol,nlev)>=tempmod(itemp)).and.(tmpu(i,ncol,nlev)<tempmod(itemp+1)) )then
         lidarcldtemp(i,itemp,4)=lidarcldtemp(i,itemp,4)+1.
       endif
@@ -965,5 +965,5 @@
 checktemp=lidarcldtemp(i,itemp,2)+lidarcldtemp(i,itemp,3)+lidarcldtemp(i,itemp,4)
 
-	if(checktemp.NE.lidarcldtemp(i,itemp,1))then
+	if(checktemp/=lidarcldtemp(i,itemp,1))then
 	  print *, i,itemp
 	  print *, lidarcldtemp(i,itemp,1:4)
@@ -984,5 +984,5 @@
 
 do i=1,4
-  WHERE(lidarcldtempind(:,:).gt.0.)
+  WHERE(lidarcldtempind(:,:)>0.)
      lidarcldtemp(:,:,i) = lidarcldtemp(:,:,i)/lidarcldtempind(:,:)
   ELSEWHERE
@@ -1046,5 +1046,5 @@
     do k=1,Nlevels
        ! Cloud detection at subgrid-scale:
-       where ( (x(:,:,k) .gt. S_cld) .and. (x(:,:,k) .ne. undef) )
+       where ( (x(:,:,k) > S_cld) .and. (x(:,:,k) /= undef) )
           cldy(:,:,k)=1.0
        elsewhere
@@ -1052,5 +1052,5 @@
        endwhere
        ! Fully attenuated layer detection at subgrid-scale:
-       where ( (x(:,:,k) .gt. 0.0) .and. (x(:,:,k) .lt. S_att_opaq) .and. (x(:,:,k) .ne. undef) )
+       where ( (x(:,:,k) > 0.0) .and. (x(:,:,k) < S_att_opaq) .and. (x(:,:,k) /= undef) )
           cldyopaq(:,:,k)=1.0
        elsewhere
@@ -1059,5 +1059,5 @@
 
        ! Number of useful sub-column layers:
-       where ( (x(:,:,k) .gt. S_att) .and. (x(:,:,k) .ne. undef) )
+       where ( (x(:,:,k) > S_att) .and. (x(:,:,k) /= undef) )
           srok(:,:,k)=1.0
        elsewhere
@@ -1065,5 +1065,5 @@
        endwhere
        ! Number of useful sub-columns layers for z_opaque 3D fraction:
-       where ( (x(:,:,k) .gt. 0.0) .and. (x(:,:,k) .ne. undef) )
+       where ( (x(:,:,k) > 0.0) .and. (x(:,:,k) /= undef) )
           srokopaq(:,:,k)=1.0
        elsewhere
@@ -1098,5 +1098,5 @@
 
      ! Declaring non-opaque cloudy profiles as thin cloud profiles
-	   if ( (cldlay(ip,ic,4) .eq. 1.0) .and. (cldlay(ip,ic,1) .eq. 0.0) ) then
+	   if ( (cldlay(ip,ic,4) == 1.0) .and. (cldlay(ip,ic,1) == 0.0) ) then
 	      cldlay(ip,ic,2)  =  1.0
  	   endif
@@ -1105,9 +1105,9 @@
 
      ! Opaque cloud profiles
-	   if ( cldlay(ip,ic,1) .eq. 1.0 ) then
+	   if ( cldlay(ip,ic,1) == 1.0 ) then
 	      zopac = 0.0
 	      do k=2,Nlevels
      ! Declaring opaque cloud fraction and z_opaque altitude for 3D and 2D variables
-	         if ( (cldy(ip,ic,k) .eq. 1.0) .and. (zopac .eq. 0.0) ) then
+	         if ( (cldy(ip,ic,k) == 1.0) .and. (zopac == 0.0) ) then
 		    lidarcldtype(ip,k-1,3) = lidarcldtype(ip,k-1,3) + 1.0
 		    cldlay(ip,ic,3)        = vgrid_z(k-1) !z_opaque altitude
@@ -1115,5 +1115,5 @@
 		    zopac = 1.0
 		 endif
-	         if ( cldy(ip,ic,k) .eq. 1.0 ) then
+	         if ( cldy(ip,ic,k) == 1.0 ) then
 		    lidarcldtype(ip,k,1)   = lidarcldtype(ip,k,1) + 1.0
                  endif
@@ -1122,8 +1122,8 @@
 
      ! Thin cloud profiles
-	   if ( cldlay(ip,ic,2) .eq. 1.0 ) then
+	   if ( cldlay(ip,ic,2) == 1.0 ) then
 	      do k=1,Nlevels
      ! Declaring thin cloud fraction for 3D variable
-                 if ( cldy(ip,ic,k) .eq. 1.0 ) then
+                 if ( cldy(ip,ic,k) == 1.0 ) then
                     lidarcldtype(ip,k,2) = lidarcldtype(ip,k,2) + 1.0
                  endif
@@ -1135,5 +1135,5 @@
 
     ! 3D cloud types fraction (opaque=1 and thin=2)
-    where ( nsub(:,:) .gt. 0.0 )
+    where ( nsub(:,:) > 0.0 )
        lidarcldtype(:,:,1) = lidarcldtype(:,:,1)/nsub(:,:)
        lidarcldtype(:,:,2) = lidarcldtype(:,:,2)/nsub(:,:)
@@ -1143,5 +1143,5 @@
     endwhere
     ! 3D z_opaque fraction (=3)
-    where ( nsubopaq(:,:) .gt. 0.0 )
+    where ( nsubopaq(:,:) > 0.0 )
        lidarcldtype(:,:,3) = lidarcldtype(:,:,3)/nsubopaq(:,:)
     elsewhere
@@ -1152,10 +1152,10 @@
     do ip = 1, Npoints
      	do k = Nlevels-1, 1, -1
-           if ( lidarcldtype(ip,k,3) .ne. undef ) then
+           if ( lidarcldtype(ip,k,3) /= undef ) then
 	      lidarcldtype(ip,k,4) = lidarcldtype(ip,k+1,4) + lidarcldtype(ip,k,3)
            endif
 	enddo
     enddo
-    where ( nsubopaq(:,:) .eq. 0.0 )
+    where ( nsubopaq(:,:) == 0.0 )
        lidarcldtype(:,:,4) = undef
     endwhere
@@ -1169,5 +1169,5 @@
        enddo
     enddo
-    where (nsublayer(:,:) .gt. 0.0)
+    where (nsublayer(:,:) > 0.0)
        cldtype(:,:) = cldtype(:,:)/nsublayer(:,:)
     elsewhere
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_modis_sim.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_modis_sim.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_modis_sim.F90	(revision 5082)
@@ -666,6 +666,6 @@
     do ij=2,nbin1+1
        do ik=2,nbin2+1
-          jointHist(ij-1,ik-1)=count(var1 .ge. bin1(ij-1) .and. var1 .lt. bin1(ij) .and. &
-               var2 .ge. bin2(ik-1) .and. var2 .lt. bin2(ik))        
+          jointHist(ij-1,ik-1)=count(var1 >= bin1(ij-1) .and. var1 < bin1(ij) .and. &
+               var2 >= bin2(ik-1) .and. var2 < bin2(ik))
        enddo
     enddo
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/pf_to_mr.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/pf_to_mr.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/pf_to_mr.F	(revision 5082)
@@ -107,6 +107,6 @@
                 mx_rain_cv(j,ibox,ilev)=0.
                 mx_snow_cv(j,ibox,ilev)=0.
-                if ((prec_frac(j,ibox,ilev) .eq. 1.) .or.
-     &              (prec_frac(j,ibox,ilev) .eq. 3.)) then 
+                if ((prec_frac(j,ibox,ilev) == 1.) .or.
+     &              (prec_frac(j,ibox,ilev) == 3.)) then
                     mx_rain_ls(j,ibox,ilev)=
      &                     (term4r_ls**(1./(1.+br/4.)))/rho
@@ -116,6 +116,6 @@
      &                     (term4g_ls**(1./(1.+bg/4.)))/rho
                 endif
-                if ((prec_frac(j,ibox,ilev) .eq. 2.) .or.
-     &              (prec_frac(j,ibox,ilev) .eq. 3.)) then 
+                if ((prec_frac(j,ibox,ilev) == 2.) .or.
+     &              (prec_frac(j,ibox,ilev) == 3.)) then
                     mx_rain_cv(j,ibox,ilev)=
      &                     (term4r_cv**(1./(1.+br/4.)))/rho
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/phys_cosp.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/phys_cosp.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/phys_cosp.F90	(revision 5082)
@@ -193,5 +193,5 @@
           cfg%Lrttov_sim,cfg%Lstats
 
-    if (overlaplmdz.ne.overlap) then
+    if (overlaplmdz/=overlap) then
        print*,'Attention overlaplmdz different de overlap lu dans namelist '
     endif
@@ -201,5 +201,5 @@
 
 !!! Ici on modifie les cles logiques pour les outputs selon les champs actives dans les .xml
-  if ((itap.gt.1).and.(first_write))then
+  if ((itap>1).and.(first_write))then
    
     IF (using_xios) call read_xiosfieldactive(cfg)
@@ -268,5 +268,5 @@
 
         do ip = 1, Npoints
-          if (fracTerLic(ip).ge.0.5) then
+          if (fracTerLic(ip)>=0.5) then
              gbx%land(ip) = 1.
           else
